<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: getDefinesInDataFile.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('get_defines_in_data_file_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">getDefinesInDataFile.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;llvm/Support/Host.h&quot;</code><br />
<code>#include &quot;llvm/ADT/IntrusiveRefCntPtr.h&quot;</code><br />
<code>#include &quot;clang/Basic/DiagnosticOptions.h&quot;</code><br />
<code>#include &quot;clang/Frontend/TextDiagnosticPrinter.h&quot;</code><br />
<code>#include &quot;clang/Frontend/CompilerInstance.h&quot;</code><br />
<code>#include &quot;clang/Basic/TargetOptions.h&quot;</code><br />
<code>#include &quot;clang/Basic/TargetInfo.h&quot;</code><br />
<code>#include &quot;clang/Basic/FileManager.h&quot;</code><br />
<code>#include &quot;clang/Basic/SourceManager.h&quot;</code><br />
<code>#include &quot;clang/Lex/Preprocessor.h&quot;</code><br />
<code>#include &quot;clang/Basic/Diagnostic.h&quot;</code><br />
<code>#include &quot;clang/Lex/Lexer.h&quot;</code><br />
<code>#include &quot;llvm/Support/MemoryBuffer.h&quot;</code><br />
<code>#include &quot;clang/Basic/SourceLocation.h&quot;</code><br />
<code>#include &quot;clang/Basic/LangOptions.h&quot;</code><br />
<code>#include &quot;clang/Tooling/CompilationDatabase.h&quot;</code><br />
<code>#include &quot;clang/Frontend/Utils.h&quot;</code><br />
<code>#include &quot;clang/Rewrite/Frontend/Rewriters.h&quot;</code><br />
<code>#include &quot;clang/Rewrite/Core/Rewriter.h&quot;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
<code>#include &quot;<a class="el" href="search_path_utilities_8hpp_source.html">searchPathUtilities.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for getDefinesInDataFile.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="get_defines_in_data_file_8hpp__incl.png" border="0" usemap="#get_defines_in_data_file_8hpp" alt=""/></div>
<map name="get_defines_in_data_file_8hpp" id="get_defines_in_data_file_8hpp">
<area shape="rect" title=" " alt="" coords="3198,5,3385,32"/>
<area shape="rect" title=" " alt="" coords="5,87,156,114"/>
<area shape="rect" title=" " alt="" coords="181,80,367,121"/>
<area shape="rect" title=" " alt="" coords="392,87,623,114"/>
<area shape="rect" title=" " alt="" coords="647,80,866,121"/>
<area shape="rect" title=" " alt="" coords="890,87,1138,114"/>
<area shape="rect" title=" " alt="" coords="1162,87,1365,114"/>
<area shape="rect" title=" " alt="" coords="1389,87,1567,114"/>
<area shape="rect" title=" " alt="" coords="1591,87,1781,114"/>
<area shape="rect" title=" " alt="" coords="1805,87,2017,114"/>
<area shape="rect" title=" " alt="" coords="2041,87,2224,114"/>
<area shape="rect" title=" " alt="" coords="2249,87,2430,114"/>
<area shape="rect" title=" " alt="" coords="2455,87,2589,114"/>
<area shape="rect" title=" " alt="" coords="2614,87,2827,114"/>
<area shape="rect" title=" " alt="" coords="2851,87,3062,114"/>
<area shape="rect" title=" " alt="" coords="3087,87,3280,114"/>
<area shape="rect" title=" " alt="" coords="3304,80,3495,121"/>
<area shape="rect" title=" " alt="" coords="3519,87,3683,114"/>
<area shape="rect" title=" " alt="" coords="3707,80,3879,121"/>
<area shape="rect" title=" " alt="" coords="3903,80,4048,121"/>
<area shape="rect" title=" " alt="" coords="4073,80,4235,121"/>
<area shape="rect" title=" " alt="" coords="4259,80,4422,121"/>
<area shape="rect" title=" " alt="" coords="4446,80,4609,121"/>
<area shape="rect" title=" " alt="" coords="4633,80,4808,121"/>
<area shape="rect" title=" " alt="" coords="4832,80,5007,121"/>
<area shape="rect" title=" " alt="" coords="5031,80,5205,121"/>
<area shape="rect" title=" " alt="" coords="5230,87,5374,114"/>
<area shape="rect" title=" " alt="" coords="5398,80,5547,121"/>
<area shape="rect" title=" " alt="" coords="5572,87,5707,114"/>
<area shape="rect" title=" " alt="" coords="5731,87,5945,114"/>
<area shape="rect" href="search_path_utilities_8hpp.html" title=" " alt="" coords="5969,87,6141,114"/>
<area shape="rect" title=" " alt="" coords="5686,169,5766,196"/>
<area shape="rect" title=" " alt="" coords="5791,169,5853,196"/>
<area shape="rect" title=" " alt="" coords="5878,169,5937,196"/>
<area shape="rect" title=" " alt="" coords="5961,169,6046,196"/>
<area shape="rect" title=" " alt="" coords="6070,169,6142,196"/>
<area shape="rect" title=" " alt="" coords="6167,169,6235,196"/>
<area shape="rect" title=" " alt="" coords="6259,169,6332,196"/>
<area shape="rect" title=" " alt="" coords="6357,169,6431,196"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="get_defines_in_data_file_8hpp__dep__incl.png" border="0" usemap="#get_defines_in_data_file_8hppdep" alt=""/></div>
<map name="get_defines_in_data_file_8hppdep" id="get_defines_in_data_file_8hppdep">
<area shape="rect" title=" " alt="" coords="5,5,192,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="25,80,173,121"/>
</map>
</div>
</div>
<p><a href="get_defines_in_data_file_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a7963ecf4880f2a8174061faaf96e39ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="get_defines_in_data_file_8hpp.html#a7963ecf4880f2a8174061faaf96e39ab">PTHUTIL</a></td></tr>
<tr class="separator:a7963ecf4880f2a8174061faaf96e39ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afb7c816e51c783a8b234ad6e2e22e7e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7">findAndStoreDefines</a> (std::string targetEntry)</td></tr>
<tr class="separator:afb7c816e51c783a8b234ad6e2e22e7e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fd68e87e66e23e388c61660f1b78df7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7">getDefinesInDataFile</a> (std::string pthAnalysis)</td></tr>
<tr class="separator:a3fd68e87e66e23e388c61660f1b78df7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a7963ecf4880f2a8174061faaf96e39ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7963ecf4880f2a8174061faaf96e39ab">&#9670;&nbsp;</a></span>PTHUTIL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PTHUTIL</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="afb7c816e51c783a8b234ad6e2e22e7e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb7c816e51c783a8b234ad6e2e22e7e7">&#9670;&nbsp;</a></span>findAndStoreDefines()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void findAndStoreDefines </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>targetEntry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create file manager, Source Manager and Preprocessor</p>
<p>Create object RawLex</p>
<p>Call Lexer Function LexFromRawLexer to get Token</p>
<p>Store the Token in the string Tokenstring</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_cgraph.png" border="0" usemap="#get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_cgraph" alt=""/></div>
<map name="get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_cgraph" id="get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,160,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="208,5,383,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_icgraph.png" border="0" usemap="#get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_icgraph" alt=""/></div>
<map name="get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_icgraph" id="get_defines_in_data_file_8hpp_afb7c816e51c783a8b234ad6e2e22e7e7_icgraph">
<area shape="rect" title=" " alt="" coords="413,5,568,32"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="207,5,365,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a3fd68e87e66e23e388c61660f1b78df7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fd68e87e66e23e388c61660f1b78df7">&#9670;&nbsp;</a></span>getDefinesInDataFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getDefinesInDataFile </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>pthAnalysis</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_cgraph.png" border="0" usemap="#get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_cgraph" alt=""/></div>
<map name="get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_cgraph" id="get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,164,159"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="269,5,389,32"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7" title=" " alt="" coords="252,56,407,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="275,107,384,133"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134" title=" " alt="" coords="212,157,447,184"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b" title=" " alt="" coords="240,208,419,235"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259" title=" " alt="" coords="275,259,383,285"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="502,5,662,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="495,56,669,83"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="535,183,629,209"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_icgraph.png" border="0" usemap="#get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_icgraph" alt=""/></div>
<map name="get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_icgraph" id="get_defines_in_data_file_8hpp_a3fd68e87e66e23e388c61660f1b78df7_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,365,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="get_defines_in_data_file_8hpp.html">getDefinesInDataFile.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
